import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { R as ResponsiveContainer } from './ResponsiveContainer-f8909967.js';

const UIResponsiveContainer = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.as = 'div';
    }
    render() {
        return (h(ResponsiveContainer, { as: this.as }, h("slot", null)));
    }
};

export { UIResponsiveContainer as ui_responsive_container };
